Subject: Re: (NAT) Alternative name to "Host-NAT"

From: [email-masked] (Pyda Srisuresh)
Date: Wed, 27 Jan 1999 06:32:32 -0800 (PST)

Mike,

> 
> Well, at this point I'm of two minds:
> 
> 1) Nomenclature is very important as it will set the stage for how
>      people initially think about the architecture/protocol.  The
>      term RSIP, IMO, doesn't describe what we're doing as
>      clearly as HostNAT.  On the other hand, the term HostNAT
>      can be misleading as it implies that we're doing NAT (which
>      we are not, technically) but it intuitively describes the
>      system much more clearly.

I dont want open up the debate one more time on the subject. We have
many pressing issues left to be done. Let us move on. Hope you understand.

> 
> 2) Who cares? :-)
> 
> The second seems to be winning.  If other people on this list agree that
> RSIP
> is the way to go, fine with me, though it just doesn't rub me the right
> way.
> 

There wouldnt be a debate if people didnt care. It is part of IETF WG 
norm to discuss, make a choice and move on.

> The other issue: If it ain't NAT, are we in the right WG?
> 
> -Mike
> 

RSIP is relevant to routing realms using private address numbering, which 
is a direct focus of NAT WG. In addition, as I mentioned in the last WG 
meeting, the ADs have specifically advised that this be discussed within 
this WG.

If you have further issues anfd would like to pursue, we can continue the 
discussion privately. Please send an e-mail to myself, Matt and the ADs. 
Thanks. 
(Note: I will be out of the office for the reminder of the week.
       I wouldnt be able to respond to e-mails till next week) 

cheers,
suresh
> 
> 
> 
> 
> [email-masked] (Pyda Srisuresh) on 01/27/99 06:24:20 AM
> 
> Please respond to [email-masked] (Pyda Srisuresh)
> 
> To:   [email-masked]
> cc:   [email-masked], [email-masked] (Mike Borella/MW/US/3Com)
> Subject:  Re: (NAT) Alternative name to "Host-NAT"
> 
> 
> 
> 
> 
> Folks,
> 
> Thanks for your participation. I believe, we have rough consensus to
> replace the term "Host-NAT" with "Realm Specific IP"(RSIP). I will
> edit the terminology draft accordingly and resubmit the draft to IESG.
> Let us use this term going forward. Thanks.
> 
> cheers,
> suresh
> 
> >
> > I'd be happy with RSIP
> >
> > BTW thanks for listening to me!
> >
> >     Brian
> >
> > Pyda Srisuresh wrote:
> > >
> > > Folks,
> > >
> > > I believe, there is rough consensus to rename "Host-NAT" to something
> > > clearer - something with the flavour of Dynamic Global Adressing (per
> > > Brian's original e-mail).
> > >
> > > Below are the alternatives proposed thus far:
> > >
> > >         o Network Address and Parameter Allocation (NAPA)
> > >
> > >         o External Realm Address Use (ERA) and
> > >           External Realm Address and Port Use (ERAP)
> > >
> > >         o Realm Specific Address Use (RSA)
> > >           Realm Specific Address and Port Use (RSAP)
> > >
> > > I suggested the last two names. On second thoughts, I would like to
> > > withdraw these names and propose the following name, instead.
> > >
> > >         o Realm-Specific IP (RSIP)
> > >           RSIP will refer to both Realm-specific Address IP (RSAIP)
> > >           and Realm-Specific Address and Port IP (RSAPIP).
> > >
> > > Thus far, we dont have a name that is roughly agreeable.  We need to
> > > pick a name and move on. Let us try and wrap this up in a week. Please
> > > voice your preference (one of NAPA or RSIP or something entirely new).
> > > Thanks.
> > >
> > > cheers,
> > > suresh
> > > -
> > > To unsubscribe, email [email-masked]' with
> > > 'unsubscribe nat' in the body of the message.
> >
> >
> > -
> > To unsubscribe, email [email-masked]' with
> > 'unsubscribe nat' in the body of the message.
> >
> 
> -
> To unsubscribe, email [email-masked]' with
> 'unsubscribe nat' in the body of the message.
> 
> 
> 
> 
> 
> 
> 
> 

-
To unsubscribe, email [email-masked]' with
'unsubscribe nat' in the body of the message.